Package org.apache.maven.scm.command.info

## Class InfoItem

- java.lang.Object
- - org.apache.maven.scm.command.info.InfoItem

Direct Known Subclasses:
  `GitInfoItem`, `SvnInfoItem`

    public class InfoItem
    extends java.lang.Object

Since:
  1.5
Author:
  Kenney Westerhof, Olivier Lamy

### Constructor Summary

Constructors
`InfoItem()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLastChangedAuthor()`
`java.lang.String` `getLastChangedDate()`
`java.lang.String` `getLastChangedRevision()`
`java.lang.String` `getNodeKind()`
`java.lang.String` `getPath()`
`java.lang.String` `getRepositoryRoot()`
`java.lang.String` `getRepositoryUUID()`
`java.lang.String` `getRevision()`
`java.lang.String` `getSchedule()`
`java.lang.String` `getURL()`
`void` `setLastChangedAuthor​(java.lang.String lastChangedAuthor)`
`void` `setLastChangedDate​(java.lang.String lastChangedDate)`
`void` `setLastChangedRevision​(java.lang.String lastChangedRevision)`
`void` `setNodeKind​(java.lang.String nodeKind)`
`void` `setPath​(java.lang.String path)`
`void` `setRepositoryRoot​(java.lang.String repositoryRoot)`
`void` `setRepositoryUUID​(java.lang.String repositoryUUID)`
`void` `setRevision​(java.lang.String revision)`
`void` `setSchedule​(java.lang.String schedule)`
`void` `setURL​(java.lang.String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InfoItem

    public InfoItem()

### Method Detail

#### getPath

    public java.lang.String getPath()

#### setPath

    public void setPath​(java.lang.String path)

#### getURL

    public java.lang.String getURL()

#### setURL

    public void setURL​(java.lang.String url)

#### getRepositoryRoot

    public java.lang.String getRepositoryRoot()

#### setRepositoryRoot

    public void setRepositoryRoot​(java.lang.String repositoryRoot)

#### getRepositoryUUID

    public java.lang.String getRepositoryUUID()

#### setRepositoryUUID

    public void setRepositoryUUID​(java.lang.String repositoryUUID)

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public void setRevision​(java.lang.String revision)

#### getNodeKind

    public java.lang.String getNodeKind()

#### setNodeKind

    public void setNodeKind​(java.lang.String nodeKind)

#### getSchedule

    public java.lang.String getSchedule()

#### setSchedule

    public void setSchedule​(java.lang.String schedule)

#### getLastChangedAuthor

    public java.lang.String getLastChangedAuthor()

#### setLastChangedAuthor

    public void setLastChangedAuthor​(java.lang.String lastChangedAuthor)

#### getLastChangedRevision

    public java.lang.String getLastChangedRevision()

#### setLastChangedRevision

    public void setLastChangedRevision​(java.lang.String lastChangedRevision)

#### getLastChangedDate

    public java.lang.String getLastChangedDate()

#### setLastChangedDate

    public void setLastChangedDate​(java.lang.String lastChangedDate)